function clickMail()
{var gm=document.gomail
var vDomain=gm.domains
var vName=gm.uName
var vPw=gm.uPw
if(vDomain.value==""){alert("您没有选择邮箱！")
	vDomain.focus()
	return false}
if(vName.value==""){alert("用户名不能为空！")
	vName.focus()
	return false
}
if(vPw.value==""){alert("密码不能为空！")
	vPw.focus()
	return false}
switch(vDomain.value){
case "163":
gm.action="http://reg.163.com/CheckUser.jsp"
gm.url.value="http://fm163.163.com/coremail/fcg/ntesdoor2?lightweight=1&verifycookie=1&language=-1&style=15"
gm.username.value=vName.value
gm.password.value=vPw.value
gm.enterVip.value=''
break
case "126":
gm.action="http://entry.126.com/cgi/login"
gm.domain.value="126.com"
gm.user.value=vName.value
gm.pass.value=vPw.value
break
case "yeah":
gm.action="http://entry.yeah.net/cgi/login"
gm.domain.value="yeah.net"
gm.user.value=vName.value
gm.pass.value=vPw.value
break
case "188":
gm.action="http://reg.mail.188.com/servlet/coremail/login?language=0&style=1"
gm.user.value=vName.value
gm.pass.value=vPw.value
break
case "sohu":
gm.action="http://passport.sohu.com/login.jsp"
gm.url.value=""
gm.UserName.value=vName.value
gm.Password.value=vPw.value
gm.id.value=vName.value
gm.username.value=vName.value
gm.password.value=vPw.value
gm.m.value=vName.value
gm.passwd.value=vPw.value
gm.mpass.value=vPw.value
gm.loginid.value=vName.value+"@sohu.com"
gm.fl.value="1"
gm.vr.value="1|1"
gm.appid.value="1000"
gm.ru.value="http://login.mail.sohu.com/servlet/LoginServlet"
gm.eru.value="http://login.mail.sohu.com/login.jsp"
gm.ct.value="1173080990"
gm.sg.value="5082635c77272088ae7241ccdf7cf062"
break
case "yahoo":
gm.action="https://edit.bjs.yahoo.com/config/login"
gm.login.value=vName.value
gm.passwd.value=vPw.value
break
case "yahoocn":
gm.action="https://edit.bjs.yahoo.com/config/login"
gm.login.value=vName.value+"@yahoo.cn"
gm.passwd.value=vPw.value
break
case "tom":
gm.action="http://bjweb.163.net/cgi/163/login_pro.cgi"
gm.user.value=vName.value
gm.pass.value=vPw.value
break
case "21cn":
gm.action="http://passport.21cn.com/maillogin.jsp"
gm.LoginName.value=vName.value
gm.passwd.value=vPw.value
gm.domainname.value="21cn.com"
gm.UserName.value=vName.value+'@21cn.com'
break
case "sina":
gm.action="http://mail.sina.com.cn/cgi-bin/login.cgi"
gm.u.value=vName.value
gm.psw.value=vPw.value
break
case "gmail":
gm.action="https://www.google.com/accounts/ServiceLoginAuth"
gm.Email.value=vName.value
gm.Passwd.value=vPw.value
break
case "chinaren":
gm.action="http://passport.sohu.com/login.jsp"
gm.loginid.value=vName.value+"@chinaren.com"
gm.passwd.value=vPw.value
gm.fl.value="1"
gm.vr.value="1|1"
gm.appid.value="1005"
gm.ru.value="http://profile.chinaren.com/urs/setcookie.jsp?burl=http://alumni.chinaren.com/"
gm.ct.value="1174378209"
gm.sg.value="84ff7b2e1d8f3dc46c6d17bb83fe72bd"
break
case "tianya":
gm.action="http://www.tianya.cn/user/loginsubmit.asp"
gm.vwriter.value=vName.value
gm.vpassword.value=vPw.value
break
case "baidu":
gm.action="http://passport.baidu.com/?login"
gm.u.value="http://passport.baidu.com/center"
gm.username.value=vName.value
gm.password.value=vPw.value
break
case "xiaonei":
gm.action="http://login.xiaonei.com/Login.do"
gm.email.value=vName.value
gm.password.value=vPw.value
break
case "51com":
gm.action="http://passport.51.com/login.5p"
gm.passport_51_user.value=vName.value
gm.passport_51_password.value=vPw.value
gm.gourl.value="http%3A%2F%2Fmy.51.com%2Fwebim%2Findex.php"
break
}
vPw.value=""
return true}

var lunarInfo=new Array(
0x04bd8,0x04ae0,0x0a570,0x054d5,0x0d260,0x0d950,0x16554,0x056a0,0x09ad0,0x055d2,0x04ae0,0x0a5b6,0x0a4d0,0x0d250,0x1d255,0x0b540,0x0d6a0,0x0ada2,0x095b0,0x14977,0x04970,0x0a4b0,0x0b4b5,0x06a50,0x06d40,0x1ab54,0x02b60,0x09570,0x052f2,0x04970,0x06566,0x0d4a0,0x0ea50,0x06e95,0x05ad0,0x02b60,0x186e3,0x092e0,0x1c8d7,0x0c950,0x0d4a0,0x1d8a6,0x0b550,0x056a0,0x1a5b4,0x025d0,0x092d0,0x0d2b2,0x0a950,0x0b557,0x06ca0,0x0b550,0x15355,0x04da0,0x0a5d0,0x14573,0x052d0,0x0a9a8,0x0e950,0x06aa0,0x0aea6,0x0ab50,0x04b60,0x0aae4,0x0a570,0x05260,0x0f263,0x0d950,0x05b57,0x056a0,0x096d0,0x04dd5,0x04ad0,0x0a4d0,0x0d4d4,0x0d250,0x0d558,0x0b540,0x0b5a0,0x195a6,0x095b0,0x049b0,0x0a974,0x0a4b0,0x0b27a,0x06a50,0x06d40,0x0af46,0x0ab60,0x09570,0x04af5,0x04970,0x064b0,0x074a3,0x0ea50,0x06b58,0x055c0,0x0ab60,0x096d5,0x092e0,0x0c960,0x0d954,0x0d4a0,0x0da50,0x07552,0x056a0,0x0abb7,0x025d0,0x092d0,0x0cab5,0x0a950,0x0b4a0,0x0baa4,0x0ad50,0x055d9,0x04ba0,0x0a5b0,0x15176,0x052b0,0x0a930,0x07954,0x06aa0,0x0ad50,0x05b52,0x04b60,0x0a6e6,0x0a4e0,0x0d260,0x0ea65,0x0d530,0x05aa0,0x076a3,0x096d0,0x04bd7,0x04ad0,0x0a4d0,0x1d0b6,0x0d250,0x0d520,0x0dd45,0x0b5a0,0x056d0,0x055b2,0x049b0,0x0a577,0x0a4b0,0x0aa50,0x1b255,0x06d20,0x0ada0)
var Gan=new Array("甲","乙","丙","丁","戊","己","庚","辛","壬","癸")
var Zhi=new Array("子","丑","寅","卯","辰","巳","午","未","申","酉","戌","亥")
var cmStr=new Array('日','正','二','三','四','五','六','七','八','九','十','冬','腊')
var nStr1=new Array('日','一','二','三','四','五','六','七','八','九','十')
var now;var SY;var SM;var SD
function cyclical(num){return(Gan[num%10]+Zhi[num%12])}
function lYearDays(y){
var i, sum=348
for(i=0x8000; i>0x8; i>>=1) sum += (lunarInfo[y-1900] & i)? 1: 0
return(sum+leapDays(y))}
function leapDays(y){if(leapMonth(y)) return((lunarInfo[y-1900] & 0x10000)? 30: 29); else return(0)}
function leapMonth(y){ return(lunarInfo[y-1900] & 0xf)}
function monthDays(y,m){ return( (lunarInfo[y-1900] & (0x10000>>m))? 30: 29 )}
function Lunar(objDate){
var i, leap=0, temp=0
var baseDate=new Date(1900,0,31)
var offset  =(objDate - baseDate)/86400000
this.dayCyl=offset + 40
this.monCyl=14
for(i=1900; i<2050 && offset>0; i++){
temp=lYearDays(i)
offset -= temp
this.monCyl += 12}
if(offset<0){offset += temp;i--;this.monCyl -= 12}
this.year=i
this.yearCyl=i-1864
leap=leapMonth(i)
this.isLeap=false
for(i=1; i<13 && offset>0; i++){
if(leap>0 && i==(leap+1) && this.isLeap==false)
{--i; this.isLeap=true; temp=leapDays(this.year)}
else
{temp=monthDays(this.year,i)}
if(this.isLeap==true && i==(leap+1)) this.isLeap=false
offset -= temp
if(this.isLeap == false) this.monCyl ++}
if(offset==0 && leap>0 && i==leap+1)
if(this.isLeap) this.isLeap=false
else{this.isLeap=true; --i; --this.monCyl}
if(offset<0){ offset += temp; --i; --this.monCyl}
this.month=i
this.day=offset + 1}
function YYMMDD(){return(''+SY+'年'+(SM+1)+'月'+SD+'日')}
function weekday(){
var cl='<span class="'
if (now.getDay() == 0 || now.getDay() == 6) cl += 'weekred'
else cl += 'weekblack'
return(cl+'">星期'+nStr1[now.getDay()]+'</span>')}
function cDay(m,d){
var nStr2=new Array('初','十','廿','卅','　');var s
s= cmStr[m]+'月'
switch (d){
case 10:s += '初十'; break
case 20:s += '二十'; break
case 30:s += '三十'; break
default:s += nStr2[Math.floor(d/10)]; s += nStr1[Math.round(d%10)]}return(s)}
function solarDay(){
var sTermInfo=new Array(0,21208,42467,63836,85337,107014,128867,150921,173149,195551,218072,240693,263343,285989,308563,331033,353350,375494,397447,419210,440795,462224,483532,504758)
var solarTerm=new Array("小寒","大寒","立春","雨水","惊蛰","春分","清明","谷雨","立夏","小满","芒种","夏至","小暑","大暑","立秋","处暑","白露","秋分","寒露","霜降","立冬","小雪","大雪","冬至")
var lFtv=new Array("0101*春节","0115 元宵节","0505 端午节","0707 七夕","0715 中元节","0815 中秋节","0909 重阳节","1208 腊八节","1223 小年","0100*除夕")
var sFtv=new Array("0101*元旦","0214 情人节","0308 妇女节","0312 植树节","0401 愚人节","0501 劳动节","0504 青年节","0512 护士节","0601 儿童节","0615 父亲节","0701 中共诞辰","0801 建军节","0910 教师节","1001*国庆节","1031 万圣节","1108 记者日","1225 圣诞节")
var sDObj=new Date(SY,SM,SD)
var lDObj=new Lunar(sDObj)
var lDPOS=new Array(3)
var festival='',solarTerms='',solarFestival='',lunarFestival='',solarTerms='',tmp1,tmp2
for(i in lFtv)
if(lFtv[i].match(/^(\d{2})(.{2})([\s\*])(.+)$/)){
tmp1=Number(RegExp.$1)-lDObj.month
tmp2=Number(RegExp.$2)-lDObj.day
if(tmp1==0 && tmp2==0) lunarFestival=RegExp.$4}
if(lunarFestival==''){
for(i in sFtv)
if(sFtv[i].match(/^(\d{2})(\d{2})([\s\*])(.+)$/)){
tmp1=Number(RegExp.$1)-(SM+1)
tmp2=Number(RegExp.$2)-SD
if(tmp1==0 && tmp2==0) solarFestival=RegExp.$4}
if(solarFestival ==''){
tmp1=new Date((31556925974.7*(SY-1900)+sTermInfo[SM*2+1]*60000)+Date.UTC(1900,0,6,2,5))
tmp2=tmp1.getUTCDate()
if (tmp2==SD) solarTerms=solarTerm[SM*2+1]
tmp1=new Date((31556925974.7*(SY-1900)+sTermInfo[SM*2]*60000)+Date.UTC(1900,0,6,2,5))
tmp2= tmp1.getUTCDate()
if (tmp2==SD) solarTerms=solarTerm[SM*2]
if((SM+1)==2 && SD==3)solarTerms='';
if((SM+1)==2 && SD==4)solarTerms='立春';
if(solarTerms=='') sFtv='';else sFtv=solarTerms
} else sFtv=solarFestival
} else sFtv=lunarFestival
if(sFtv=='')
sTermInfo=cyclical(lDObj.year-1900+36)+'年 '+cDay(lDObj.month,lDObj.day)
else sTermInfo=cDay(lDObj.month,lDObj.day)+' <font color=#DF0A10>'+sFtv+'</font>'
return(sTermInfo)}
function CurentTime()
{var now=new Date();var hh=now.getHours();var mm=now.getMinutes();var ss=now.getTime() % 60000
ss=(ss - (ss % 1000)) / 1000
if(hh==0&&mm==0&&ss==0) showcal(1)
var clock=hh+':'
if (mm < 10) clock += '0'
clock += mm;return(clock)}
function refreshCalendarClock(){em('ClockTime').innerHTML=CurentTime()}
function showcal(){
now=new Date();SY=now.getFullYear();SM=now.getMonth();SD=now.getDate()
var hh=now.getHours();var mm=now.getMinutes();var ss=now.getTime()%60000
ss=(ss - (ss % 1000)) / 1000;hh+=':'
if (mm < 10) hh+='0'
hh += mm
var str='<a href=/tools/rili.htm target=_blank>'+YYMMDD()+'<br>'+solarDay()+'<br>'+weekday()+"&nbsp;<span id=ClockTime>"+hh+'</span></a>&nbsp;&nbsp;<a href="javascript:clock()" target=_self  title=点击设置闹钟>闹钟</a>'
em('rili').innerHTML=str}
function clock(){window.open('time.htm','time','left='+(screen.width-320)+',height=310,width=305,status=no,toolbar=no,menubar=no')}
String.prototype.trim=function(){return this.replace(/(^\s*)|(\s*$)/g,'')}
showcal();//时钟
$d=function(id){return em(id)}
var tmt='',tm2t='',nnx=''
function sm(nn){nnx=nn;st=eval(nnx+"t");clearTimeout(st);o=$d(nn);o.style.display="block";document.onmousemove=cp}
function cp(event)
{evt=window.event?window.event:event;var pointer=function(event){return{x:event.pageX||(event.clientX+
(document.documentElement.scrollLeft||document.body.scrollLeft)),y:event.pageY||(event.clientY+
(document.documentElement.scrollTop||document.body.scrollTop))}}(evt);l=o.offsetLeft-20;t=o.offsetTop-20;r=l+o.offsetWidth+40;b=o.offsetTop+o.offsetHeight+20;py=pointer.y;px=pointer.x;if((py>t&&py<b)&&(px>l&&px<r)){}
else{st=eval(nnx+"t");st=setTimeout(function(){o.style.display="none"},50);document.onmousemove=function(){}}}
////////////////
function chr2Unicode(str){
if ('' !=str) {var st, t, i;st=''
for (i=1; i <=str.length; i ++){
t=str.charCodeAt(i - 1).toString(16)
if (t.length < 4) while(t.length <4) t='0'.concat(t)
t=t.slice(2, 4).concat(t.slice(0, 2))
st=st.concat(t)}return(st.toUpperCase())}else return('')}
function job() { var f=document.job;f.keywords.value=chr2Unicode(document.fs.key.value);f.submit();f.reset(); }
function chkinput(f){var tmp=f.name.value;if(!tmp){alert("请填写您要查询的内容!");return false}var tmp2=f.tiaojian.value;if(!tmp2){alert("请选择您要查询的条件!");return false}return true}function chkinput2(f){var tmp=f.user.value;if(!tmp){alert("帐号不能为空!");return false}var tmp2=f.pass.value;if(!tmp2){alert("密码不能为空!");return false}var tmp3=f.site.value;if(!tmp3){alert("您没有选择信箱!");return false}return true}function mm_openbrwindow(theurl,winname,features){window.open(theurl,winname,features)}


function index_search2()
{
if(gform.by.value==2)window.open("http://one.cn.yahoo.com/s?v=music&p="+gform.search_input2.value);
if(gform.by.value==3)window.open("http://images.google.cn/images?client=pub-3680975643915597&prog=aff&oe=GB2312&IE=GB2312&hl=zh-CN&q="+gform.search_input2.value);
if(gform.by.value==4)window.open("http://video.google.cn/videosearch?q="+gform.search_input2.value);
if(gform.by.value==7)window.open("http://movie.gougou.com/search?id=14062&pattern=20000&search="+gform.search_input2.value);
if(gform.by.value==6)window.open("http://union.dangdang.com/transfer/transfer.aspx?from=P-257874&backurl=http://search.dangdang.com/search.aspx?key="+gform.search_input2.value);
if(gform.by.value==5)window.open("http://wenwen.soso.com/z/SearchSolved.e?sp="+gform.search_input2.value);
return false;
}
function index_search()
{
if(bdfm.by2.value=="")window.open("http://www.baidu.com/s?word="+bdfm.search_input.value);
if(bdfm.by2.value==1)window.open("http://www.baidu.com/s?word="+bdfm.search_input.value);
if(bdfm.by2.value==2)window.open("http://mp3.baidu.com/m?tn=baidump3&ct=134217728&lm=-1&z=&rn=&_sv=&word="+bdfm.search_input.value);
if(bdfm.by2.value==3)window.open("http://image.baidu.com/i?tn=baiduimage&ct=201326592&lm=-1&z=0&rn=&_sv=&word="+bdfm.search_input.value);
if(bdfm.by2.value==4)window.open("http://video.baidu.com/v?rn=20&pn=0&db=0&s=0&fbl=1024&word="+bdfm.search_input.value);
if(bdfm.by2.value==7)window.open("http://www.ku8520.com/search.asp?searchtype=-1&searchword="+bdfm.search_input.value);
if(bdfm.by2.value==6)window.open("http://www.amazon.cn/mn/searchApp?keywords="+bdfm.search_input.value);
if(bdfm.by2.value==5)window.open("http://zhidao.baidu.com/q?ct=17&pn=0&tn=ikaslist&rn=10&lm=0&fr=search&word="+bdfm.search_input.value);
return false;
}
function search4(){if(form1.nsns[3].checked)
window.open("http://www.iask.com/s?k="+form1.key.value,"mspg0");if(form1.nsns[4].checked)
window.open("http://www.sogou.com/web?query="+form1.key.value,"mspg1");if(form1.nsns[2].checked)
window.open("http://www.yahoo.com.cn/search?p="+form1.key.value,"mspg2");if(form1.nsns[12].checked)
window.open("http://www.duote.com/search.php?so="+form1.key.value,"mspg3");if(form1.nsns[1].checked)
window.open("http://mp3.baidu.com/m?f=ms&rn=&tn=baidump3&ct=134217728&word="+form1.key.value,"mspg7");if(form1.nsns[10].checked)
window.open("http://movieso.xunlei.com/search?suffix=&restype=4&id=2&search="+form1.key.value,"mspg8");if(form1.nsns[8].checked)
window.open("http://www.duote.com/search.php?&s=10&ra=vs&vtp=mis&so="+form1.key.value,"mspg9");if(form1.nsns[15].checked)
window.open("http://www.tongcha.com/index-ip1.php?ip="+form1.key.value,"mspg18");if(form1.nsns[11].checked)
window.open("http://video.baidu.com/v?tn=site888_pg&word="+form1.key.value,"mspg9");if(form1.nsns[13].checked)
window.open("http://image.cn.yahoo.com/search?p="+form1.key.value,"mspg11");if(form1.nsns[14].checked)
window.open("http://map.baidu.com/#word="+form1.key.value,"mspg13");if(form1.nsns[5].checked)
window.open("http://news.baidu.com/ns?cl=2&rn=20&tn=news&word="+form1.key.value,"mspg15");if(form1.nsns[9].checked)
window.open("http://www.iciba.com/search?s="+form1.key.value,"mspg16");if(form1.nsns[16].checked)
function ks(n){
 document.scripts[1].src = "ksdh/?key=" + n;

}